Subject: [Sip] SIP Header: Content-Disposition Syntax

From: "Jim Li" <[email-masked]>
Date: Tue, 8 Nov 2005 14:22:40 -0500

Hi there,

Could anyone help me to verify the Content-Disposition header syntax is
correct:

Content-Disposition: session; handling=required

Thanks in advance.

Jim

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Bhattacharyya, Dipankar" <[email-masked]>
Date: Tue, 8 Nov 2005 15:14:00 -0500

Hi Jim,
   It appears that you Content -Disposition header example is fine:
Section 25.1 of RFC 3261 defines the Header as below :
 
Content-Disposition   =  "Content-Disposition" HCOLON
                         disp-type *( SEMI disp-param )
disp-type             =  "render" / "session" / "icon" / "alert"
                         / disp-extension-token

disp-param            =  handling-param / generic-param
handling-param        =  "handling" EQUAL
                         ( "optional" / "required"
                         / other-handling )
other-handling        =  token
disp-extension-token  =  token

Thanks,
Regards,
-Dipankar. 

________________________________

From: [email-masked] on behalf of Jim Li
Sent: Tue 11/8/2005 2:22 PM
To: [email-masked]
Subject: [Sip] SIP Header: Content-Disposition Syntax

Hi there,

Thanks in advance.

Jim